import request from '@/utils/request'

// 获取统计点列表
export function getStatisticalPointsList() {
  return request({
    url: '/backstage/point/getStatisticalPointsList',
    method: 'get',
  })
}

// 修改统计点账号状态
export function changeStatus(id) {
  return request({
    url: '/backstage/point/changeStatus/'+id,
    method: 'put'
  })
}

// 查询统计点详细
export function listBySuperiorId(id) {
  return request({
    url: '/backstage/point/listBySuperiorId/' + id,
    method: 'get'
  })
}

// 查询统计点列表(省级列表)
export function listByProvince(query) {
  return request({
    url: '/backstage/point/listByProvince',
    method: 'get',
    params: query
  })
}

// 查询统计点列表(级联列表)
export function cascadeList(type) {
  return request({
    url: '/backstage/point/cascadeList?type=' + type,
    method: 'get'
  })
}

// 查询统计点列表
export function listPoint(query) {
  return request({
    url: '/backstage/point/list',
    method: 'get',
    params: query
  })
}

// 查询统计点详细
export function getPoint(id) {
  return request({
    url: '/backstage/point/' + id,
    method: 'get'
  })
}

// 新增统计点
export function addPoint(data) {
  return request({
    url: '/backstage/point',
    method: 'post',
    data: data
  })
}

// 修改统计点
export function updatePoint(data) {
  return request({
    url: '/backstage/point',
    method: 'put',
    data: data
  })
}

// 删除统计点
export function delPoint(id) {
  return request({
    url: '/backstage/point/' + id,
    method: 'delete'
  })
}

// 导出统计点
export function exportPoint(query) {
  return request({
    url: '/backstage/point/export',
    method: 'get',
    params: query
  })
}
